Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.util.xml
Class DomIterator

    java.lang.Object
      com.servingxml.util.xml.DomIterator

    public class DomIterator

extends java.lang.Object

Contains static helper methods for iterating over a DOM object.

Nested Class Summary
`static class` | `DomIterator.AttributeCommand`
`static class` | `DomIterator.ChildCommand`

Constructor Summary
`DomIterator()`

Method Summary
`static void` | `toEveryAttribute(org.w3c.dom.Element element, DomIterator.AttributeCommand command)`
`static void` | `toEveryChild(org.w3c.dom.Element parent, DomIterator.ChildCommand command)`
`static void` | `toEveryChild(org.w3c.dom.Element parent, DomIterator.ChildCommand command, boolean stripWhitespace)`
`static void` | `toEveryChild(org.w3c.dom.Element parent, DomIterator.ChildCommand command, java.lang.String namespaceUri, java.lang.String localName)`
`static void` | `toEveryChild(org.w3c.dom.Element parent, DomIterator.ChildCommand command, java.lang.String namespaceUri, java.lang.String localName, boolean stripWhitespace)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DomIterator

    public DomIterator()

Method Detail

### toEveryAttribute

    public static final void toEveryAttribute(org.w3c.dom.Element element,
                                              DomIterator.AttributeCommand command)

### toEveryChild

    public static final void toEveryChild(org.w3c.dom.Element parent,
                                          DomIterator.ChildCommand command)

### toEveryChild

    public static final void toEveryChild(org.w3c.dom.Element parent,
                                          DomIterator.ChildCommand command,
                                          boolean stripWhitespace)

### toEveryChild

    public static final void toEveryChild(org.w3c.dom.Element parent,
                                          DomIterator.ChildCommand command,
                                          java.lang.String namespaceUri,
                                          java.lang.String localName,
                                          boolean stripWhitespace)

### toEveryChild

    public static final void toEveryChild(org.w3c.dom.Element parent,
                                          DomIterator.ChildCommand command,
                                          java.lang.String namespaceUri,
                                          java.lang.String localName)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD